From 2e02bf485c967d279d85762984f71a441fcb79d1 Mon Sep 17 00:00:00 2001
From: Jeffy Chen <jeffy.chen@rock-chips.com>
Date: Mon, 8 Aug 2022 15:46:35 +0800
Subject: [PATCH 72/98] HACK: compositor: Allow mapping bufferless subsurfaces

The current qtwayland needs it.

Signed-off-by: Jeffy Chen <jeffy.chen@rock-chips.com>
---
 libweston/compositor.c | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/libweston/compositor.c b/libweston/compositor.c
index 6d63eab..e70621c 100644
--- a/libweston/compositor.c
+++ b/libweston/compositor.c
@@ -5167,6 +5167,13 @@ subsurface_committed(struct weston_surface *surface,
 		weston_surface_map(surface);
 	}
 
+	/**
+	 * HACK: Allow mapping bufferless subsurfaces
+	 * See: https://bugreports.qt.io/browse/QTBUG-86229
+	 */
+	if (!weston_surface_is_mapped(surface))
+		weston_surface_map(surface);
+
 	/* Cannot call weston_view_update_transform() here, because that would
 	 * call it also for the parent surface, which might not be mapped yet.
 	 * That would lead to inconsistent state, where the window could never
-- 
2.20.1

